## ros-noetic-ros-ign-image 0.111.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_ign_image)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(catkin REQUIRED COMPONENTS
  image_transport
  ros_ign_bridge
  roscpp
  sensor_msgs)

# Fortress
if ("$ENV{IGNITION_VERSION}" STREQUAL "fortress")
  find_package(ignition-transport11 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

  find_package(ignition-msgs8 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Fortress")
# Edifice
elseif ("$ENV{IGNITION_VERSION}" STREQUAL "edifice")
  find_package(ignition-transport10 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})

  find_package(ignition-msgs7 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Edifice")
# Default to Citadel
else()
  find_package(ignition-transport8 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport8_VERSION_MAJOR})

  find_package(ignition-msgs5 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs5_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Citadel")
endif()

catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
)

set(executable
  image_bridge
)

add_executable(${executable}
  src/image_bridge.cpp
)
target_link_libraries(${executable}
  ${catkin_LIBRARIES}
  ignition-msgs${IGN_MSGS_VER}::core
  ignition-transport${IGN_TRANSPORT_VER}::core
)
install(TARGETS ${executable}
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Tests
find_package(rostest REQUIRED)

set(test_publishers
  ign_publisher
)

set(test_subscribers
  ros_subscriber
)

foreach(test_publisher ${test_publishers})
  add_executable(${test_publisher}_image
    test/publishers/${test_publisher}.cpp
  )
  target_link_libraries(${test_publisher}_image
    ${catkin_LIBRARIES}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
    gtest
    gtest_main
  )
endforeach(test_publisher)

foreach(test_subscriber ${test_subscribers})
  add_rostest_gtest(test_${test_subscriber}_image
    test/${test_subscriber}.test
    test/subscribers/${test_subscriber}.cpp)
  target_link_libraries(test_${test_subscriber}_image
    ${catkin_LIBRARIES}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
endforeach(test_subscriber)

=== debian/changelog ===
ros-noetic-ros-ign-image (0.111.2-1buster) buster; urgency=high

  * [noetic] 🏁 Dome EOL (#197 <https://github.com/osrf/ros_ign/issues/197>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 08:00:00 -0000

ros-noetic-ros-ign-image (0.111.1-1buster) buster; urgency=high

  * [noetic] Update version docs, add Fortress (#166 <https://github.com/osrf/ros_ign/issues/166>)
  * [noetic] Edifice support (#139 <https://github.com/osrf/ros_ign/issues/139>)
  * Add dome + melodic to CI (#126 <https://github.com/osrf/ros_ign/issues/126>)
  * [noetic] Update releases (#106 <https://github.com/osrf/ros_ign/issues/106>)
  * Contributors: Jose Luis Rivero, Louise Poubel, Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 07:00:00 -0000

ros-noetic-ros-ign-image (0.111.0-1buster) buster; urgency=high

  * Install only what's necessary, rename builtin_interfaces (#96 <https://github.com/osrf/ros_ign/issues/96>)
  * Choose collection based on environment variable (#72 <https://github.com/osrf/ros_ign/issues/72>)
    * Choose collection based on the environment variable IGNITION_VERSION
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000

ros-noetic-ros-ign-image (0.9.2-1buster) buster; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 14 May 2020 07:00:00 -0000

ros-noetic-ros-ign-image (0.9.1-1buster) buster; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-ros-ign-image (0.9.0-1buster) buster; urgency=high

  * [Citadel] Citadel support (#48 <https://github.com/ignitionrobotics/ros_ign/issues/48>)
    * Citadel support
    * more citadel deps
    * addressing feedback, fix typos and better find logic
    * fix CI
  * Contributors: chapulina

 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-ros-ign-image (0.8.0-1buster) buster; urgency=high

  * Add replaces for each package (#46 <https://github.com/osrf/ros_ign/issues/46>)
  * Make all API and comments ROS-version agnostic
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Rename packages and fix compilation + tests
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Move files ros1 -> ros
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Louise Poubel, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 22 Nov 2019 08:00:00 -0000

ros-noetic-ros-ign-image (0.7.0-1buster) buster; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-image (0.6.3-1buster) buster; urgency=high

  * Merge pull request #36 <https://github.com/osrf/ros1_ign_bridge/issues/36> from osrf/restest_depen_image
    Missing rostest dependency in image package
  * Contributors: Jose Luis Rivero

 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-image (0.6.2-1buster) buster; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-image (0.6.1-1buster) buster; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-image (0.6.0-1buster) buster; urgency=high

  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 02 Aug 2019 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-ros-ign-image
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-msgs5-dev, libignition-transport8-dev, ros-noetic-catkin, ros-noetic-image-transport, ros-noetic-ros-ign-bridge, ros-noetic-roscpp, ros-noetic-rostest, ros-noetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-ros-ign-image
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-msgs5-dev, libignition-transport8-dev, ros-noetic-image-transport, ros-noetic-ros-ign-bridge, ros-noetic-roscpp, ros-noetic-sensor-msgs
Replaces: ros-noetic-ros1-ign-image
Description: Image utilities for Ignition simulation with ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ros-ign-image//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
